SDL_HINT_VIDEO_WAYLAND_MODE_EMULATION(3)

NAME
SDL_HINT_VIDEO_WAYLAND_MODE_EMULATION - A variable controlling whether video mode emulation is enabled under Wayland.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_VIDEO_WAYLAND_MODE_EMULATION SDL_VIDEO_WAYLAND_MODE_EMULATION"

DESCRIPTION
When this hint is set, a standard set of emulated CVT video modes will be exposed for use by the application. If it is disabled, the only modes exposed will be the logical desktop size and, in the case of a scaled desktop, the native display resolution.

The variable can be set to the following values:

• "0": Video mode emulation is disabled.

• "1": Video mode emulation is enabled. (default)

This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.2.0.